<?php
/**
 * @file
 * ocio_news.features.features_overrides.inc
 */

/**
 * Implements hook_features_override_default_overrides().
 */
function ocio_news_features_override_default_overrides() {
  // This code is only used for UI in features. Exported alters hooks do the magic.
  $overrides = array();

  // Exported overrides for: field_instance
  $overrides["field_instance.node-article-field_display_in_view_panes.display|rss"] = array(
    'label' => 'above',
    'settings' => array(),
    'type' => 'hidden',
    'weight' => 3,
  );
  $overrides["field_instance.node-article-field_featured_image.display|rss"] = array(
    'label' => 'hidden',
    'module' => 'image',
    'settings' => array(
      'image_link' => '',
      'image_style' => 'teaser_image',
    ),
    'type' => 'image',
    'weight' => 1,
  );
  $overrides["field_instance.node-article-field_ocio_body.display|rss"] = array(
    'label' => 'hidden',
    'module' => 'text',
    'settings' => array(
      'trim_length' => 600,
    ),
    'type' => 'text_summary_or_trimmed',
    'weight' => 0,
  );
  $overrides["field_instance.node-article-field_tags.display|rss"] = array(
    'label' => 'hidden',
    'module' => 'taxonomy',
    'settings' => array(),
    'type' => 'taxonomy_term_reference_rss_category',
    'weight' => 2,
  );

  // Exported overrides for: variable
  $overrides["variable.field_bundle_settings_node__article.value|view_modes|rss|custom_settings"] = TRUE;

 return $overrides;
}
