<?php
// Plugin definition
$plugin = array(
  'title' => t('Flip-Flop'),
  'icon' => 'ocio-omega-flip-flop.png',
  'category' => t('WCM Layouts'),
  'theme' => 'ocio_omega_flip_flop',
  'css' => 'ocio-omega-flip-flop.css',
  'regions' => array(
    'header' => t('Header'),
    'row_1_col_1' =>t('Row 1, Column 1'),
    'row_1_col_2' =>t('Row 1, Column 2'),
    'row_2_col_1' =>t('Row 2, Column 1'),
    'row_2_col_2' =>t('Row 2, Column 2'),
    'row_3_col_1' =>t('Row 3, Column 1'),
    'row_3_col_2' =>t('Row 3, Column 2'),
    'row_4_col_1' =>t('Row 4, Column 1'),
    'row_4_col_2' =>t('Row 4, Column 2'),
    'row_5_col_1' =>t('Row 5, Column 1'),
    'row_5_col_2' =>t('Row 5, Column 2'),
    'row_6_col_1' =>t('Row 6, Column 1'),
    'row_6_col_2' =>t('Row 6, Column 2'),
    'row_7_col_1' =>t('Row 7, Column 1'),
    'row_7_col_2' =>t('Row 7, Column 2'),
    'footer' => t('Footer'),
  ),
);

/**
 * Implements hook_preprocess_ocio_omega_flip_flop().
 */
function template_preprocess_ocio_omega_flip_flop(&$vars) {
  $rows = array(
    'header' => array('header'),
    'row_1' => array('row_1_col_1', 'row_1_col_2'),
    'row_2' => array('row_2_col_1', 'row_2_col_2'),
    'row_3' => array('row_3_col_1', 'row_3_col_2'),
    'row_4' => array('row_4_col_1', 'row_4_col_2'),
    'row_5' => array('row_5_col_1', 'row_5_col_2'),
    'row_6' => array('row_6_col_1', 'row_6_col_2'),
    'row_7' => array('row_7_col_1', 'row_7_col_2'),
    'footer' => array('footer'),
  );

  $vars['panels_row'] = ocio_omega_settings_panel_rows($rows, $vars);
  $vars['panels_row_classes'] = ocio_omega_settings_panel_row_classes();
}
